Name: livecd-install
Version: 0.3
Release: alt1

Summary: Permanently install Live system
License: GPLv2
Group: System/Configuration/Other

Source: %name-%version.tar
Source1: %name.pam
Source2: %name.apps

Packager: Andriy Stepanov <stanv@altlinux.ru>

BuildArch: noarch
Requires: alterator-wizardface
Requires: alterator-livecd >= 0.3-alt1
Requires: alterator-vm alterator-lilo alterator-users >= 10.2-alt1 alterator-root >= 0.9-alt1
Requires: livecd-evms
Requires: consolehelper

Requires(post): chkconfig
Requires(preun): chkconfig

%description
%summary

%prep
%setup -q

%install
%makeinstall
%__install -D -p -m 0644 %{S:1} %buildroot%_sysconfdir/pam.d/%name
%__install -D -p -m 0644 %{S:2} %buildroot%_sysconfdir/security/console.apps/%name
%__install -d -m 0755 %buildroot%_bindir
%__ln_s %_libexecdir/consolehelper/helper %buildroot%_bindir/%name

%files
%config(noreplace) %_sysconfdir/%name
%_bindir/%name
%_sbindir/%name
%config(noreplace) %_sysconfdir/pam.d/%name
%config(noreplace) %_sysconfdir/security/console.apps/%name
%_datadir/alterator/steps/*
%_libexecdir/alterator/hooks/livecd-postinstall.d/*
%_desktopdir/*.desktop

%changelog
* Mon Aug 10 2009 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- fix application name (closes: #20601)
- improve some livecd-postinstall.d scripts
- don't umount partitions with newly installed system
- move profile specific data from general framework package

* Fri Jun 19 2009 Andriy Stepanov <stanv@altlinux.ru> 0.2-alt1
- Adjust date time at running Live, then copy settings.
  Export $ALTERATOR_DESTDIR

* Wed Jun 17 2009 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt8
- Use consolehelper

* Tue Jun 16 2009 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt7
- umount bind over bind

* Tue Jun 16 2009 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt6
- after installation umount all FS at $target_dir

* Tue Jun 09 2009 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt5
- Correct .desktop file

* Thu Jun 04 2009 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt4
- Add step: ditetime

* Thu Jun 04 2009 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt3
- Add steps: root, users

* Fri May 29 2009 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt2
- Add dependency to lived-evms

* Fri May 29 2009 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt1
- Initial build
